curl --request POST \
--url https://api.crustdata.com/dataset/dev_platform/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"crustdata_person_id": 14540
}
'{
"crustdata_person_id": 14540,
"dev_platform_profiles": [
{
"account_type": "u",
"name": "David Hsu",
"email": null,
"company_text": null,
"bio": null,
"website_url": "https://davidh.su",
"profile_picture_url": "https://avatars.githubusercontent.com/u/1313773?v=4",
"is_hireable": true,
"is_site_admin": false,
"confidence_score": 0.9999999946149648,
"profile_url": "https://github.com/dvdhsu",
"public_repo_count": 69,
"followers": 19,
"following": 5,
"declared_handles": null,
"org_memberships": null,
"updated_at": "2026-03-19T19:24:31.255391+00:00",
"location": {
"raw": "Palo Alto, CA"
},
"metadata": {
"created_at": "2012-01-08T23:33:42+00:00",
"last_scraped_source": "2025-08-19T23:50:16+00:00",
"last_updated": "2026-02-27T18:50:00+00:00"
}
}
]
}Enrich a person profile with GitHub data using one of crustdata_person_id, github_id, login, or github_profile_url.
curl --request POST \
--url https://api.crustdata.com/dataset/dev_platform/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--data '
{
"crustdata_person_id": 14540
}
'{
"crustdata_person_id": 14540,
"dev_platform_profiles": [
{
"account_type": "u",
"name": "David Hsu",
"email": null,
"company_text": null,
"bio": null,
"website_url": "https://davidh.su",
"profile_picture_url": "https://avatars.githubusercontent.com/u/1313773?v=4",
"is_hireable": true,
"is_site_admin": false,
"confidence_score": 0.9999999946149648,
"profile_url": "https://github.com/dvdhsu",
"public_repo_count": 69,
"followers": 19,
"following": 5,
"declared_handles": null,
"org_memberships": null,
"updated_at": "2026-03-19T19:24:31.255391+00:00",
"location": {
"raw": "Palo Alto, CA"
},
"metadata": {
"created_at": "2012-01-08T23:33:42+00:00",
"last_scraped_source": "2025-08-19T23:50:16+00:00",
"last_updated": "2026-02-27T18:50:00+00:00"
}
}
]
}Bearer token authentication. Pass your API key as Authorization: Bearer <your_api_key>.
API version to use for request routing and response shape.
2025-11-01 One identifier to look up the GitHub profile by.
Request payload for /dataset/dev_platform/enrich. Exactly one identifier is required.
Crustdata person ID.
14540
GitHub user ID.
1313773
GitHub login/username (e.g., dvdhsu).
"dvdhsu"
Full GitHub profile URL (e.g., https://github.com/dvdhsu).
"https://github.com/dvdhsu"
GitHub data for the requested identifier
Full GitHub enrichment payload for a person.
Crustdata person ID linked to this GitHub record.
14540
Ordered list of dev platform profile records for this person.
Show child attributes
[
{
"account_type": "u",
"name": "David Hsu",
"profile_url": "https://github.com/dvdhsu",
"public_repo_count": 69,
"followers": 19,
"following": 5
}
]Timestamp of the latest source update for this person.
"2026-02-27T18:50:00+00:00"
Timestamp when the API payload was generated.
"2026-03-19T19:24:31.255391+00:00"
Was this page helpful?